org.gradle.caching

## Interface BuildCacheEntryReader

-     @Incubating
      public interface BuildCacheEntryReader

  A reader for build cache entries.
  Since:
    3.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readFrom(InputStream input)` Read a build cache entry from the given input stream.

- - ### Method Detail

    - #### readFrom

          void readFrom(InputStream input)
                        throws IOException

      Read a build cache entry from the given input stream.
      Parameters:
        `input` - input stream that contains the build cache entry
      Throws:
        `IOException` - when an I/O error occurs when reading the cache entry from the given input stream